@echo off

ECHO Compiling cpu65c02.c ...
redir -o cpu65c02.err -eo gcc -Wall -O3 -fomit-frame-pointer -s -c cpu65c02.c
if errorlevel 1 goto gccerr

ECHO Compiling dapple.c ...
redir -o dapple.err -eo gcc -Wall -O3 -fomit-frame-pointer -s -c dapple.c
if errorlevel 1 goto gccerr

ECHO Compiling disk.c ...
redir -o disk.err -eo gcc -Wall -O3 -fomit-frame-pointer -s -c disk.c
if errorlevel 1 goto gccerr

ECHO Compiling ini.c ...
redir -o ini.err -eo gcc -Wall -O3 -fomit-frame-pointer -s -c ini.c
if errorlevel 1 goto gccerr

ECHO Compiling lldisk.c ...
redir -o lldisk.err -eo gcc -Wall -O3 -fomit-frame-pointer -s -c lldisk.c
if errorlevel 1 goto gccerr

ECHO Compiling memory.c ...
ECHO (Pass 1: Without RAM Works)
redir -o memory.err -eo gcc -Wall -O3 -fomit-frame-pointer -s -c memory.c
if errorlevel 1 goto gccerr
echo (Pass 2: With RAM Works)
redir -o rwmemory.err -eo gcc -o rwmemory.o -Wall -O3 -DRAMWORKS_3MEG -fomit-frame-pointer -s -c memory.c
if errorlevel 1 goto gccerr
echo (Pass 3: With Dynamic RAM Works)
redir -o dymemory.err -eo gcc -o dymemory.o -Wall -O3 -DDYNRAM -DRAMWORKS_3MEG -fomit-frame-pointer -s -c memory.c
if errorlevel 1 goto gccerr

ECHO Compiling pic.c ...
redir -o pic.err -eo gcc -Wall -O3 -fomit-frame-pointer -s -c pic.c
if errorlevel 1 goto gccerr

ECHO Compiling video.c ...
redir -o video.err -eo gcc -Wall -O3 -fomit-frame-pointer -s -c video.c
if errorlevel 1 goto gccerr

ECHO Linking dapple2.exe ...
echo (Pass 1: Without RAM Works)
redir -o link1.err -eo gcc -s -o dapple2.exe asmlib.o cpu65c02.o dapple.o disk.o ini.o lldisk.o memory.o pic.o video.o
if errorlevel 1 goto linkerr
echo (Pass 2: With RAM Works)
redir -o link2.err -eo gcc -s -o dapple2r.exe asmlib.o cpu65c02.o dapple.o disk.o ini.o lldisk.o rwmemory.o pic.o video.o
if errorlevel 1 goto linkerr
echo (Pass 3: With Dynamic RAM Works)
redir -o link3.err -eo gcc -s -o dapple2d.exe asmlib.o cpu65c02.o dapple.o disk.o ini.o lldisk.o dymemory.o pic.o video.o
if errorlevel 1 goto linkerr

::ECHO Strip symbols from .EXE
::strip -s --strip-all dapple2.exe

ECHO Add DOS-Extender...
:: Change the directory to reflect the location of your stubit.exe file
e:\wdosx\bin\stubit dapple2.exe
e:\wdosx\bin\stubit dapple2r.exe
e:\wdosx\bin\stubit dapple2d.exe
del dapple2.bak
del dapple2r.bak
del dapple2d.bak
GOTO end

:gccerr
ECHO Error in C file
GOTO end

:linkerr
ECHO Link error

:end
prtwhead *.err>error.log
del *.err
